﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Collections.ObjectModel;

namespace CSharpSamples_Khoshamoz.OOP
{
    class Employee
    {
        public string Name { get; set; }
        public string Title { get; set; }
        public int Salary { get; set; }
        public Collection<string> Skills { get; set; }

        public Employee(string name,string title,int salary)
        {
            Name = name;
            Title = title;
            Salary = salary;
        }

        public Employee(string name, string title, int salary, Collection<string> skills)
        {
            Name = name;
            Title = title;
            Salary = salary;
            Skills = skills;
        }

        public override string ToString()
        {
            //return base.ToString();
            return string.Format("{0}  {1}  (${2}) ",Name, Title, Salary);
        }

    }
}
